%define Name stat
%define Version 1.5 
%define Release 16mdk

Summary: A tool for finding out information about a specified file.
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: none!
Group: File tools 
Source: %{Name}-%{Version}.tar.bz2
Patch0: %{Name}-%{Version}-misc.patch.bz2
Patch1: %{Name}-%{Version}-exit.patch.bz2
Patch2: %{Name}-%{Version}-dev.patch.bz2
Patch3: %{Name}-%{Version}-access.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prefix:/usr

%description
The stat utility prints out filesystem level information about a
specified file, including size, permissions, link count, inode, etc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1


%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

make BIN=$RPM_BUILD_ROOT%{_bindir} MAN=$RPM_BUILD_ROOT%{_mandir}/man1 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/stat
%{_mandir}/man1/stat.1.bz2

%changelog

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-16mdk
- use new macros
- BM
- let spechelper do its job (daouda sucks)

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5-14mdk
- fix group
- Make the package relocatable

* Wed Dec 15 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Little patch :
	- Try to access file before stating it.
	- if it is not accessible print the correct error message.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- 64bit dev_t causes stack alignment problem (from baccala@freesoft.org)

* Fri Jul 31 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Jul 30 1998 Alan Iwi <iwi@atm.ox.ac.uk>
- handle stat errors w/o failing

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
